# Uses of Class
java.awt.RenderingHints.Key

Packages that use RenderingHints.Key
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of RenderingHints.Key in java.awt

Fields in java.awt declared as RenderingHints.Key
Modifier and Type
Field
Description
`static RenderingHints.Key`
RenderingHints.`KEY_ALPHA_INTERPOLATION`
Alpha interpolation hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_ANTIALIASING`
Antialiasing hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_COLOR_RENDERING`
Color rendering hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_DITHERING`
Dithering hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_FRACTIONALMETRICS`
Font fractional metrics hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_INTERPOLATION`
Interpolation hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_RENDERING`
Rendering hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_RESOLUTION_VARIANT`
Image resolution variant hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_STROKE_CONTROL`
Stroke normalization control hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_TEXT_ANTIALIASING`
Text antialiasing hint key.
`static RenderingHints.Key`
RenderingHints.`KEY_TEXT_LCD_CONTRAST`
LCD text contrast rendering hint key.
Methods in java.awt with parameters of type RenderingHints.Key
Modifier and Type
Method
Description
`abstract Object`
Graphics2D.`getRenderingHint​(RenderingHints.Key hintKey)`
Returns the value of a single preference for the rendering algorithms.
`abstract void`
Graphics2D.`setRenderingHint​(RenderingHints.Key hintKey, Object hintValue)`
Sets the value of a single preference for the rendering algorithms.
Constructors in java.awt with parameters of type RenderingHints.Key
Modifier
Constructor
Description
``
`RenderingHints​(RenderingHints.Key key, Object value)`
Constructs a new object with the specified key/value pair.
Constructor parameters in java.awt with type arguments of type RenderingHints.Key
Modifier
Constructor
Description
``
`RenderingHints​(Map<RenderingHints.Key,​?> init)`
Constructs a new object with keys and values initialized from the specified Map object which may be null.